Subject: You have little joy in life? Lacks warmth and affection? Come to me.

From: [email-masked]
Date: Fri, 5 Feb 2010 14:48:47 -0400

I sexual Russian blonde, want to see, come closer. Please Visit